Red Hat Linux/x86 7.2 リリースノート
---------------------------------------------

アナコンダ/インストーラ に関する記述
------------------------------------

 ブートローダ
 ------------

   - デフォルトのブートローダとして、GRUB を使います。
     しかし、LILO もご利用頂けます。

   - GRUB は GRUB シェルへのアクセスをコントロールするパスワードを
     サポートしています;
     GRUB は任意のコマンドを実行できるため、システムのセキュリティを保つ
     ためには、重要です。GRUB パスワードをセットするかどうかをお決めに
     なる前に、このことを十分にお考え下さい。このパスワードは MD5を用いて
     暗号化されています; 詳細な情報については、 grub-md5-crypt の 
     man ページを御覧下さい。

   - 以前の Red Hat Linux からアップグレードされる際には、以前のインス
     トールと同じ位置にブートローダを書く必要があります。例えば、元々、
     マスターブートレコード (MBR) にブートローダが書かれている場合は、
     同じように、 MBR にブートローダを書かなければなりません。さもない
     と、アップグレードしたシステムはブートできない場合があります。
     
     
     
   - ブートローダとして、 GRUB をお使いになる場合は、カーネルをアップ
     グレードした後、 GRUB を再起動する必要はないことにご注意ください。
     アップグレード後、再起動が必要な LILO ブートローダとは異なります。
     ただ、 GRUB がブートできるように、 GRUB の設定ファイル 
     (/boot/grub/grub.conf) で新しいカーネルを指定します。
     
   - インストール後に、 LILO から GRUB に変更する場合や、 GRUB の再イン
     ストールが必要な場合は、/sbin/grub-install コマンドを使って行え
     ます。コマンドの構文には、ブートローダがインストールされるデバ
     イス名が含まれていなければなりません。

     例えば:
               /sbin/grub-install /dev/hda

   - GRUB からシングルユーザモードでブートする場合は、GRUB メニュー画面で
     以下のようにします:

         1.  ブートしたいカーネルを選択します。

         2.  編集するため、'e' キーを押します。

         3.  カーネル行を操作するため、矢印キーを使います。
             (例えば: kernel /vmlinuz-2.4.7-1 ro root=/dev/hda2)

         4.  行を編集するため、'e' キーを押します。

         5.  引数 'single' を行末に追加し、return を押します。

         6.  ブートするため、'b' キーを押します。


 パーティション
 --------------

   - Disk Druid ユーザインターフェースが、グラフィカル環境で使いやすい様に、
     変更になりました。

   - Disk Druid はシリンダレンジを指定する事により、プライマリパーティ
     ションを作成できるようになりました。

   - Disk Druid は新しいパーティションをプライマリパーティションとみなす
     機能がサポートされました。

   - テキストモードで RAID デバイスを作成する機能がサポートされました。

   - RAID デバイス用の予備のハードディスクを指定できるようになりました。

   - 自動パーティションでどのハードディスクを用い、どのハードディスクを
     そのままにするか、選択できるようになりました。

   - 自動パーティション結果を閲覧/編集できるオプションが追加になりました。
     (グラフィカルインストールのみ -- テキストモードではいつでも結果を
      御覧になれます。)

   - ext3 ジャーナルファイルシステムがご利用になれます。

   - インストール過程で、再フォーマットするために、存在しているファイルを
     選択できるようになりました。

   - インストールまたはアップグレード過程で、従来の ext2 ファイルシステムを
     ext3 ファイルシステムに移行できるようになりました。この操作で、
     ドライブ上のデータは影響を受けません。

   - ユーザが作成したマウントポイントに対する、多くの整合性チェックが追加
     されました;これにより、多くの一般的な問題（例えば '/' マウントポイントが
     5MB しかない、と言った）が解消されます。

   - libfdisk ライブラリに代わって、GNU Parted がパーティションツールとして
     使われます。

     Parted は、パーティションテーブルではなく、実際のパーティション上に
     書かれたファイルシステムを読み込んで、ファイルシステムを決めます。
     これにより、既に存在していたパーティションがあった場合に、混乱が生じる
     かも知れません。

     例えば、もし fdisk を使って、VFAT から ext2 にパーティションを変更する
     場合、parted はまだこのパーティションを VFAT とみなすでしょう。という
     のは、これはまだ VFAT ファイルシステム上にあるからです。この例のように、
     パーティションが ext2 として扱われる前に、Disk Druid で明示的に、
     パーティションを ext2 として再フォーマットしなければなりません。
     インストーラ内で fdiskを使い、Disk Druid でマウントポイントをセット
     する際はいつでも、各パーティションを(Disk Druid で)調べ、編集し、
     フォーマットオプションを適切に設定する事が必要です。

 キックスタート
 --------------
 
   - インストール過程で、ユーザが選択したインストールオプションを反映した
     キックスタートファイルが /root/anaconda-ks.cfg. に作成されます。この
     ファイルは、新たにインストールするシステムに対して、同じようにインス
     トールする際にご利用頂けます。

   - キックスタートは、デフォルトではグラフィカルモードで動作します。
     (グラフィカルモードが利用できる場合に限ります。)
     しかし、キックスタートファイルで 'text' と指示する事により、テキスト
     モードに切り替えられます。

   - キックスタート コンフィギュレータ (ksconfig) は、特定のハードディスク、
     既存のハードディスク上にパーティションを作成し、Xの設定、インストール
     前、インストール後のスクリプトの書き込み、アップグレードの実行、本
     リリースから提供される新しいキックスタートの特徴がサポートされます。
     また、キックスタートファイルを保存する前に、その選択を確認することが
     できるようになり、簡単にキックスタートファイルを生成するための統合
     されたマニュアルが付いています。

   - キックスタートには、新たにいくつかの特徴や指示が追加されました:

     interactive -- キックスタートファイルを読み、パラメータを確認しながら、
                    インストールを進めます。各段階で、ユーザの入力を待ちま
                    す。

     text -- テキストモードでキックスタートを実行します。デフォルトでは、
             グラフィカルモードで実行されます。

   - パーティションクリアを --ondisk オプションで選択できます:

     --ondisk -- どのハードディスクをクリアにするか選択できます。

   - ブートローダ用の新たなコマンド、'bootloader' は以下の引数をサポート
     します:

     --append <args> -- カーネルラインに <args> を追加します。

     --useLilo -- GRUB の代わりに LILO を使います。

     --md5pass <crypted MD5 password> -- GRUB を使うためのパスワードを
                                         設定します。

   - xconfig を直接設定するためのフラグを追加しました:

     --resolution 1024x768 -- 画面解像度をセットします。
                              (この場合は 1024 x 768)

     --depth 16 -- 色深度をセットします。
                   (この場合は 16 ビットカラー)

 その他
 -------------

   - 個々のパッケージ選択では、全てのパッケージが同時に御覧になれます。

   - FTP 経由のインストールでは、FTP サーバ上に Red Hat Linux ISO イメージを
     ループバックでマウントする事ができるようになりました。ISO イメージは、
     /disk1, /disk2, などとして、同じディレクトリにループバックでマウントされ
     なければなりません。FTP 経由のインストールがスタートする際、このディレク
     トリを指定する必要があります。

   - インストールイメージ空間を最大化するため、BusyBox プログラムは多くの
     一般的なコマンドをサポートします。

   - レスキューモードは、ファイルシステムをマウントしようとする前に、プロン
     プトを表示します。

  - パーティションレスインストールはサポートされません; しかし、アップ
    グレードはまだ、現状サポートされます。

   - インストール過程で、USB フロッピードライブがサポートされます。


ディストリビューション全体の注意
--------------------------------

   - Ximian GNOME を動作させている Red Hat Linux 6.x, 7.0, 7.1 をアップ
     グレードするのには、知られている問題があります。

     オフィシャル Red Hat Linux の RPM パッケージと Ximian の RPM パッケージ
     との間で、それらのバージョンがオーバーラップしているために、この問題が
     発生します。Red Hat は、この設定をサポートしないことをご了承ください。
     この問題を解決するには、いくつかの方法があります:

     - Red Hat Linux をアップグレードする前に、Red Hat Linux システムから
       Ximian GNOME を削除してください。

     - Red Hat Linux をアップグレードした後、直ちに Ximian Gnome を再インス
       トールして下さい。

     - Red Hat Linux をアップグレードしたら、直ちに残っている Ximian の RPM 
       パッケージを削除して、該当する Red Hat Linux の RPM パッケージに
       置き換えて下さい。

     上記のうちの一つを選んで、オーバーラップしたバージョンの解決をしなくては
     なりません。
     失敗した場合は、GNOME の設定が不安定なものとなってしまうでしょう。

   - GNOME は 1.4 にアップデートされ、グラフィカルなシェルの Nautilus も
     入っています。

   - GNOME コントロールセンターは、Nautilus のユーザ設定と言うフォルダー
     に置き換えられました。手動で 'gnomecc' を起動させることもできます。

   - PowerTools CD は、今回から作られなくなりました。しかし、PowerTools に
     入っていた広く使われているパッケージのほとんどは、Red Hat Linux に収めら
     れています。
 
   - ファイアーウォールコンフィグレーション -- セキュリティを強化するため、
     インストールの一部としてファイアーウォールを設定できます。一般的なシステ
     ムのサービスをデフォルトで有効か無効かを選択できるように、２つのレベルの
     セキュリティから選択できます。

     '中' と '高'のファイアーウォール設定はどちらも、RPCに基づくサービス
     (例えば NIS や NFS) をブロックし、接続に失敗しますので、ご注意下さい。

   - XFree86 は、4.1.0 にアップグレードされ、ハードウェアサポートが改善され
     ました。 ATI Radeon 向けの 3D ハードウェアアクセラレーションが含まれて
     います。ほとんどのビデオドライバが RENDER 拡張をサポートし、広範囲の
     ハードウェアにアンチエイリアスフォントを供給します。古い XIE と 
     PEX (Phings) X 拡張は今では公式に XFree86 チームから敬遠され、Red Hat 
     Linux の将来のリリースからは除かれる予定です。

  - XFree86 3.3.6 は、もう良いものではありません。将来的には Red Hat 
    Linux から削除されるでしょう。現在は、互換性を保つために収められ
    ています。

   - initscripts は、ほとんどの操作に /sbin/ip (iproute パッケージに含まれ
     ます)を使います。/sbin/ip には 機能を正しく動作させるために、カーネル
     機能の netlink と netlink ルーティング機能が必要です;これらの機能が無
     い場合は、カーネルの全てのルーティング機能を利用する事はできません。
     ご自分でカーネルを構築するときには、CONFIG_NETLINK と
     CONFIG_RTNETLINK を有効になっているか、お確かめ下さい。

   - インターナショナル版で初めて、韓国語が統合されました。

   - Binutils と gcc は、全てのバイナリと共有ライブラリで固定文字列のマージを
     サポートします。(以前は、単一コンパイラ単位内でのみ、マージされていまし
     た。)

   - 標準 C++ や STL のサポートが必要な方や、gcc の java 機能を使いたい方の
     ために、gcc-3.0 も収められています。 Red Hat がサポートする C, C++ の
     コンパイラは gcc-2.96(Red Hat) であることに注意してください。

   - VNC パッケージは、低帯域接続用のエンコーディングタイプを新たにサポート
     しています。

   - XML ライブラリのバージョン 2 を使う、Gnome XSLT プロセッサ (xsltproc) を
     初めて採用しています。

   - php が ODBC をサポートするようになりました。postgresql は 7.1.2 にアップ
     デートされ、python インターフェースの追加や、perl インターフェースの
     アップデートもされています。

   - いくつかの新しい設定ツールが追加されました。これらのツールを使って次の
     設定をすることができます:

       -  ネットワーク (redhat-config-network)
       -  日付/時刻 (redhat-config-date)
       -  システムコントロール (redhat-config-services)
       -  ユーザ/グループ (redhat-config-users)
       
   - 以下のパッケージ/機能はもう良いものではありません。将来の Red Hat
     Linuxのリリースからは削除されるでしょう:
     
       - Netscape 4.x
       - Qt 1.x
       - KDE v1 互換 ライブラリ/ビルド 環境
       - Red Hat Linux 6.x ビルド環境
       - Enlightenment ウィンドウマネージャ
       - linuxconf
       - ncpfs
       - mars_nwe
       - XFree86 3.3.x
       - kaffe

カーネル
--------

   - カーネルには ext3 ジャーナルファイルシステムが入っています。このファイル
     システムには 3 つのモードがあります:

       - 'ordered'
       - 'journal'
       - 'writeback'

     デフォルトは 'ordered'です。このモードでは、クラッシュ後、直近に書かれた
     ファイルの有効データを閲覧できることにご注意ください。

     'writeback' モードは、ある場合には早くなります。しかし、厳密にハードディ
     スクに書き込みません;したがって、クラッシュ後、直近に書かれたファイルの
     誤ったデータしか閲覧出来ない場合があります。

     'journal' モードは、ジャーナルに全てのデータをコピーします。従って、たく
     さんの同期データ書き込みを行う際には、非常にスピードが早くなります
     (例えば、メールスプールや同期 NFS サーバなど)。
     しかし、通常の使用条件では非常に遅くなります。

     モードは、 /etc/fstab のマウントオプションに 'data=<mode>' とするか、
     マウントする際のコマンドラインから 'mount -o data=<mode>' とすることに
     よりセットされます。

     通常、ext2 ファイルシステムは、ある期間が経過するか、最後にチェックさ
     れてから、指定してある数のマウントがなされたかした場合に、自動的に
     チェックします。これらの場合、完全なファイルシステムの 'fsck'
     (file system check)が、ファイルシステムの正当性を確かめるためにブート
     時、強制的に行われます。

     インストーラで ext3 ファイルシステムを生成したり、ext2 ファイルシステム
     から ext3 ファイルシステムにアップグレードする場合、これら自動チェックは
     行われません。これらを再び有効にするか、あるいは無効にためには、手動で
     作った ext3 ファイルシステム上で 'tune2fs'コマンドを '-c' あるいは '-i' 
     オプションで実行します。

     これらの fsck スキャンは、ハードディスク上にエラーが発見された場合や、
     クラッシュが発生した場合のファイルシステムのふるまいに全く関係ありません
     のでご注意ください。ファイルシステムの一貫したエラーがハードディスク上に
     見つかった場合、ext2 と ext3 ファイルシステムのどちらも、それに続く
     再起動で、いつも強制的に fsck を実行します。他の無傷なファイルシステムで
     クラッシュが起きた場合、ext2 では常に fsck が強制実行されます。そして、
     ext3 では常にファイルシステムのリカバリーステップが実行されます; これら
     は、'tune2fs' の強制チェックの間隔の設定に影響を与えません。

  - Red Hat Linux は、Athlon クラスの CPU を持ったシステムでは、Athlon 
    プロセッサ向けにオプティマイズされたカーネルをインストールします。
    オプティマイズの影響で、このことはシステムの構成に大きな負荷をかけ
    ます。従って、ごく小数のマシンで AMD の仕様に厳密に適合しないことに
    より、ブートできず、負荷をうまく処理できない場合があります。このよ
    なシステムでは、ハードウェアをアップグレードするか(低出力の電源
    ユニットでこの現象が起こります)、またはインストーラのレスキュで
    i686 用カーネルをインストールして下さい。


プリンタ
--------

   - printconf は、テキストモードでのプリンタ設定用に、printconf-tui を実行
     します。

   - printconf-tui は、コマンドラインのインポート、エクスポートをサポートし
     ます。インポートは既にある、あるいは上書きできる（デフォルト）プリンタ
     設定ファイルにマージできます。

     例:

         printconf-tui --Xexport > settings.xml

         printconf-tui --Ximport < settings.xml
     または:
         printconf-tui --Ximport --merge < settings.xml

     リダイレクションが使えます。 -- bash の 'here documents' のような
     ものです。(詳しい情報は、bash の man ページを御覧下さい。)
      -- キックスタートファイルでプリンタのセットアップを行う事が簡単に
     なりました。

   - printconf-tui を使って完全にプリンタの設定をクリアできます。

     例:

          printconf-tui --Xclear

   - printconf では制限付きながら、プリンタの自動認識を行えます。

   - redhat-config-printer-tui と redhat-config-printer-gui は、
     それぞれ、printconf-tui と printconf-gui のエイリアスです。
     
   - Ghostscript は、6.51 にアップデートされ、暗号化された PDF
     ファイルと同じように、多くの追加ドライバがサポートされました。

   - ヒューレット パッカードの hpijs ghostscript プリントドライバが
     サポートされました。ライセンス制限で、ディストリビューションに
     加えられませんが、以下のプロジェクトサイトからダウンロードでき
     ます。http://hpinkjet.sourceforge.net また、ドロップインコン
     ポーネントとして動作します。

i386 7.2
